## Delete a comment (one's own with comment rights; anyone's tenant:forge:write and maintainer, or tenant:forge:admin)

`DELETE /api/forge/v1/projects/{key}/items/{number}/comments/{id}`

Module: Forge · operationId: `deleteForgeComment` · Tag: Comments · Auth: access token (`Authorization: Bearer <accessToken>`)

The author (with the permission to comment), or `tenant:forge:admin` / `tenant:forge:write` with project role maintainer or admin for any comment. Soft delete. Writes `forge.item.comment_deleted`.

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `key` | path | string | yes | Project key (e.g. APP) |
| `number` | path | integer | yes | Item number in the project (12 of APP-12) |
| `id` | path | string (uuid) | yes |  |

### Responses

- **204** Deleted
- **403** Error (`application/json`)
- **404** Error (`application/json`)
- **409** Error (`application/json`)

### Example request

```bash
curl -X DELETE 'https://api.mbcom.cloud/api/forge/v1/projects/string/items/1/comments/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12' \
  -H "Authorization: Bearer $ACCESS_TOKEN"
```
